# frozen_string_literal: true

module YAPI
  class Fetcher
    attr_reader :config
    attr_reader :route_name

    def initialize(config, route_name)
      @config = config
      @route_name = route_name
    end

    def perform
      puts "#{request.method.upcase} #{request.url}"
      puts client.perform(request).to_s(show_headers: config.output_headers?)
    end

    private

    def client
      @client ||= YAPI::Client.new(config.session)
    end

    def request
      @request ||= config.request(route_name)
    end
  end
end
