# frozen_string_literal: true

module YAPI
  class Request
    def initialize(attrs)
      @attrs = attrs
    end

    def url
      @attrs["url"]
    end

    def method
      @attrs.fetch("method", "GET")
    end

    def path
      @attrs["path"]
    end

    def headers
      @attrs.fetch("headers", {})
    end

    def opts
      @attrs.slice("params", "form", "json", "body")
    end
  end
end
